Subject: Re: More than 64 files open?
From: [email-masked] ("David May")

25 Nov 1996 10:44:41 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Mike McGann <[email-masked]>
Original-CC: [email-masked]
X-mailer: Pegasus Mail for Windows (v2.42a)
Original-Sender: [email-masked]

> Date:          Fri, 22 Nov 1996 16:20:45 -0500 (EST)
> From:          Mike McGann <[email-masked]>
> To:            [email-masked]
> Subject:       More than 64 files open?

> 
> Hello Everyone!
> 
> We are currently porting a database system to Windows 95 and have been
> using the cygnus development with much success. On problem that we have
> come across is that there seems to be a limit to the number of files that
> can be open at one time. Since this is a database, we need to have many
> files open while the program is running. I wrote a quick little program to
> see how many files I could have open at one time and it came out to be 64. 
> 
> I'm assuming that there must be a way to allow a process to open more, but
> I haven't been able to find a solution. I'm not sure if this is an issue
> with Windows, or even maybe with the cygnus code. If anyone has a
> soultion, or ideas, it would be a great help to our project. Thanks.
> 
> - Mike McGann

Try the Windows API function SetHandleCount() in your application. 
David May
Albuquerque TVI
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".